package com.BobCo.snmp;

import com.tivoli.twg.engine.TWGExtension;
import com.tivoli.twg.engine.TWGExtensionInitException;
import com.tivoli.twg.engine.TWGExtensionTermException;
import com.tivoli.twg.engine.TWGPersistentObjectSaveException;
import com.tivoli.twg.engine.TWGTask;
import com.tivoli.twg.engine.TWGTaskCreationException;
import com.tivoli.twg.engine.TWGDefaultTask;

public class SNMPSampleExtension extends TWGExtension
{ 
   
   public SNMPSampleExtension()  
   { 
      super();
   } 

   /**
    * Second initialization method, intended to allow extension to create default instances of classes
    * registered during InitClassRegistration().
    */
   public void InitClassInstances() throws TWGExtensionInitException
   { 
      System.out.println("HelloExtension.InitClassInstances()");
      if (!TWGTask.isTaskID("BobCo|SNMPSample")) {
         try {
            TWGDefaultTask testTask = new TWGDefaultTask("com/BobCo/snmp/SNMPSample.properties");
         } catch (TWGTaskCreationException e) {
            e.printStackTrace ();
            System.out.println("TWGTaskCreationException "); 
            throw new TWGExtensionInitException("Error creating SNMPSample default task");
         }
      }

   } 
}

