package com.tivoli.twg.mscs;

/**
 * Various constants used by TWGMSCS tasks.
 */
public class TWGMSCSConstants {
   private TWGMSCSConstants() {} // don't allow instances of this class
   
   // Values for status flags
   public static final int     UNKNOWN         = -1;
   public static final int     READY           =  0;
   public static final int     IN_PROGRESS     =  1;
   public static final int     BUSY            =  2;
   public static final int     CLOSE           =  3;

   public static final String  STATUS_CHANGE   =  "statusChange";
   /** Privilege token - allowed to modify cluster settings			    */
   public static final String MODIFY_CLUSTER_ACCESS_TOKEN = "TWGMSCS.ModifyCluster";
}

