package com.BobCo.cli;

import com.tivoli.twg.engine.TWGExtension;
import com.tivoli.twg.engine.TWGExtensionInitException;
import com.tivoli.twg.engine.TWGExtensionTermException;
import com.tivoli.twg.log.TWGRas;
import java.util.Properties;

/**
 * Director command line interface SDK extension class<p>
 * This class contains *NO* functionality and is used solely as
 * an extension place holder.  A class (even if functionless)
 * is needed for the CLI bundle as named in the TWGExt file to be
 * registered at Director system startup.<p>
 *
 * @author Rob Warren
 * @version 1.00 - 12/23/01
 */
public class CliSampleExtension extends TWGExtension
{
   /**
    * Default constructor
    */
   public CliSampleExtension() {}
   /**
    * First initialization method, intended to allow extensions to register
    * classes.
    *
    * @exception TWGExtensionInitException if a fatal error occurs during
    * the initialization method
    */
   public void InitClassRegistration() throws TWGExtensionInitException {}
   /**
    * Second initialization method, intended to allow extension to create
    * default instances of classes registered during InitClassRegistration().
    *
    * @exception TWGExtensionInitException if a fatal error occurs during
    * the initialization method
    */
   public void InitClassInstances() throws TWGExtensionInitException {}
   /**
    * Final initialization method, intended to allow an extension to do any
    * actions which may have required the other extensions to have completed
    * the previous passes of initialization.
    * @exception TWGExtensionInitException if a fatal error occurs during
    * the initialization method
    */
   public void InitCompletion() throws TWGExtensionInitException {}
   /**
    * First termination method, intended to allow an extension to begin
    * the process of termination.  The only termination processing which
    * should occur here is that which needs to be done before other
    * extensions have executed TermCompletion() pass.
    */
   public void TermBegin() {}
   /**
    * Final termination method, intended to allow an extension to terminate
    * any processing which may still be active.
    */
   public void TermComplete() {}
}
