package com.tivoli.twg.mscs;
import com.tivoli.twg.engine.TWGNativeManagedObjectConstants;

/**
 * Constants for MSCS cluster managed object
 * 
 * @author Mike Primm
 * @version 1.1 - 6/8/05
 */
public class MSCSManagedObjectConstants {
    /* Attribute ID for MSCS version                                                        */
    public static final String ATTRIB_VERSION = "MSCSClusterMO.version";
    /* Attribute ID for current best IPC path to best client                                */
    public static final String ATTRIB_IPCPATH = TWGNativeManagedObjectConstants.ATTRIB_IPCPATH;
    /* Attribute ID for all IPC paths to all clients                                        */
    public static final String ATTRIB_ALLIPCPATHS = 
        TWGNativeManagedObjectConstants.ATTRIB_ALLIPCPATHS;
    /* Attribute ID for cluster name resource ID                                            */
    public static final String ATTRIB_CLUSTER_RESID = "MSCSClusterMO.nameresid";
}
