#ifndef SVCRESRC_H_INCLUDED
#define SVCRESRC_H_INCLUDED

/********************************************************************/
/* Service bitmaps                                                  */
/********************************************************************/
#define OLDSYSINFO_BITMAP 10
#define MONITOR_BITMAP    11
#define EARTH_BITMAP      12
#define OS2LAN_BITMAP     13
#define TELE_BITMAP       14
#define PROFILE_BITMAP    15
#define WATCHMAN_BITMAP   16
#define RAS_BITMAP        17
#define SAVE_BITMAP       18
#define PARTITION_BITMAP  20
#define CMSP_BITMAP       21
#define ECC_BITMAP        22
#define RCSH_BITMAP       23
#define ALERT_BITMAP      24
#define FILETRANS_BITMAP  25
#define SECURITY_BITMAP   28
#define PFA_BITMAP        31
#define SHRIEKER_BITMAP   32
#define SYSINFO_BITMAP    33
#define SCHEDULER_BITMAP  34
#define DMIBROWS_BITMAP   35
#define PROCMGR_BITMAP    36
#define SERIAL_BITMAP     37
#define CRITFILE_BITMAP   38
#define SOFTINV_BITMAP    39
#define RAIDMGR_BITMAP    40
#define WEBMGR_BITMAP     41
#define REPLI_BITMAP      42
#define DCAF_BITMAP       43
#define DIAG_BITMAP       44
#define CAPMGT_BITMAP     45
#define CYBERX_BITMAP     46

/********************************************************************/
/* String definitions for service names                             */
/********************************************************************/
#define OLDSYSINFO_TEXT_ID     3000
#define MONITOR_TEXT_ID        3001
#define PROFILE_TEXT_ID        3002
#define WATCHMAN_TEXT_ID       3003
#define SAVE_TEXT_ID           3004
#define SECURITY_TEXT_ID       3005
#define PARTITION_TEXT_ID      3006
#define ECC_TEXT_ID            3008
#define RCSH_TEXT_ID           3009
#define ALERT_TEXT_ID          3010
#define FILETRANS_TEXT_ID      3011
#define NETMGR_TEXT_ID         3012
#define PFA_TEXT_ID            3013
#define SHRIEKER_TEXT_ID       3014
#define SCHEDULER_TEXT_ID      3015
#define SYSINFO_TEXT_ID        3016
#define DMIBROWS_TEXT_ID       3017
#define PROCMGR_TEXT_ID        3018
#define SERIAL_NETFIN_TEXT_ID  3019
#define CRITFILE_TEXT_ID       3020
#define SOFTINV_TEXT_ID        3021
#define RAIDMGR_TEXT_ID        3022
#define WEBMGR_TEXT_ID         3023
#define REPLI_TEXT_ID          3024
#define DCAF_TEXT_ID           3025
#define DIAG_TEXT_ID           3026
#define CAPMGT_TEXT_ID         3027
#define CYBEREX_TEXT_ID        3028
#define MONITOR_SERVER_TEXT_ID 3029
#define SWDIST_AGENT_TEXT_ID   3030
#define TIVOLIWG_SERVER_TEXT_ID 3031
#define MSCSAGT_TEXT_ID        3032

#define OLDSYSINFO_CAPTION_ID  3100
#define MONITOR_CAPTION_ID     3101
#define PROFILE_CAPTION_ID     3102
#define SAVE_CAPTION_ID        3104
#define SECURITY_CAPTION_ID    3105
#define PARTITION_CAPTION_ID   3106
#define ECC_CAPTION_ID         3108
#define ALERT_CAPTION_ID       3110
#define NETMGR_CAPTION_ID      3112
#define PFA_CAPTION_ID         3113
#define SHRIEKER_CAPTION_ID    3114
#define SCHEDULER_CAPTION_ID   3115
#define SYSINFO_CAPTION_ID     3116
#define DMIBROWS_CAPTION_ID    3117
#define PROCMGR_CAPTION_ID     3118
#define SERIAL_CAPTION_ID      3119
#define CRITFILE_CAPTION_ID    3120
#define SOFTINV_CAPTION_ID     3121
#define RAIDMGR_CAPTION_ID     3122
#define WEBMGR_CAPTION_ID      3123
#define REPLI_CAPTION_ID       3124
#define DCAF_CAPTION_ID        3125
#define DIAG_CAPTION_ID        3126
#define CAPMGT_CAPTION_ID      3127
#define CYBEREX_CAPTION_ID     3128
#define MONITOR_SERVER_CAPTION_ID 3129
#define SWDIST_AGENT_CAPTION_ID   3130
#define TIVOLIWG_SERVER_CAPTION_ID 3131
#define MSCSAGT_CAPTION_ID     3132
#define CIMMGR_CAPTION_ID      3133
#define DMIMGR_CAPTION_ID      3134
#define EVTSUB_CAPTION_ID      3135

#define OLDSYSINFO_RCAPTION_ID 3200
#define MONITOR_RCAPTION_ID    3201
#define PROFILE_RCAPTION_ID    3202
#define SAVE_RCAPTION_ID       3204
#define SECURITY_RCAPTION_ID   3205
#define PARTITION_RCAPTION_ID  3206
#define ECC_RCAPTION_ID        3208
#define RCSH_RCAPTION_ID       3209
#define ALERT_RCAPTION_ID      3210
#define FILETRANS_RCAPTION_ID  3211
#define NETMGR_RCAPTION_ID     3212
#define PFA_RCAPTION_ID        3213
#define SHRIEKER_RCAPTION_ID   3214
#define SCHEDULER_RCAPTION_ID  3215
#define SYSINFO_RCAPTION_ID    3216
#define DMIBROWS_RCAPTION_ID   3217
#define PROCMGR_RCAPTION_ID    3218
#define SERIAL_RCAPTION_ID     3219
#define CRITFILE_RCAPTION_ID   3220
#define SOFTINV_RCAPTION_ID    3221
#define RAIDMGR_RCAPTION_ID    3222
#define WEBMGR_RCAPTION_ID     3223
#define REPLI_RCAPTION_ID      3224
#define DCAF_RCAPTION_ID       3225
#define DIAG_RCAPTION_ID       3226
#define CAPMGT_RCAPTION_ID     3227
#define CYBEREX_RCAPTION_ID    3228
#define MONITOR_SERVER_RCAPTION_ID 3229
#define SWDIST_AGENT_RCAPTION_ID   3230
#define TIVOLIWG_SERVER_RCAPTION_ID 3231
#define MSCSAGT_RCAPTION_ID    3232
#define CIMMGR_RCAPTION_ID     3233
#define DMIMGR_RCAPTION_ID     3234
#define EVTSUB_RCAPTION_ID     3235

#endif
